package com.xiaoniu.subsystem.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.xiaoniu.api.dto.ApiLogininforDTO;
import com.xiaoniu.subsystem.system.domain.SysLogininfor;
import com.xiaoniu.subsystem.system.mapper.SysLogininforMapper;
import com.xiaoniu.subsystem.system.service.ISysLogininforService;
import org.springframework.stereotype.Service;

/**
 * 系统访问日志情况信息 服务层处理
 *
 * @author xiaoniu
 */
@Service
public class SysLogininforServiceImpl extends ServiceImpl<SysLogininforMapper, SysLogininfor> implements ISysLogininforService {

    @Override
    public void add(ApiLogininforDTO dto) {
        SysLogininfor sysLogininfor = new SysLogininfor();
        sysLogininfor.setUserName(dto.getUserName());
        sysLogininfor.setIpaddr(dto.getIpaddr());
        sysLogininfor.setMsg(dto.getMsg());
        sysLogininfor.setAccessTime(dto.getAccessTime());
        sysLogininfor.setStatus(dto.getStatus());
        baseMapper.insert(sysLogininfor);
    }
}
